/*
**  request.h (FrontDoor)
**
**  Copyright 1989, 1990 Joaquim H. Homrighausen. All rights reserved
**
**  Definitions for each record in REQUEST.SYS (file protection)
**
**  Last revision:  90-02-22
**                            
**  -------------------------------------------------------------------------
**  This information is not necessarily final and is subject to change at any
**  given time without further notice
**  -------------------------------------------------------------------------
*/

#define ACTIVE  0x01
#define DELETED 0x02            /* Never written to disk */


/*
**  The "filename" and "password" fields are NUL terminated.
*/
typedef struct
    {
    char
        filename[41],           /* Filename or unique portion thereof */
        password[17];           /* Password */
    byte
        status;                 /* 0==Inactive */
    }
    _REQUEST, *REQPTR;

/* end of file "request.h" */

