/*
**  session.h (FrontDoor)
**
**  Copyright 1989, 1990 Joaquim H. Homrighausen. All rights reserved
**
**  Definitions for each record in PASSWORD.SYS (session protection)
**
**  Last revision:  90-02-22
**                            
**  -------------------------------------------------------------------------
**  This information is not necessarily final and is subject to change at any
**  given time without further notice
**  -------------------------------------------------------------------------
*/


/*
**  Status values, non-exclusive bit values
**
**  I.e. If the NOFREQS and ACTIVE options were set for an entry in the
**       security list, the status field would contain 0x05.
*/
#define ACTIVE      0x01    /* Active, as opposed to inactive */
#define DELETED     0x02    /* Never stored to disk */
#define NOFREQS     0x04    /* Don't allow file requests from system */
#define NOARCMAIL   0x08    /* Don't allow ARCmail 0.60 files from system */


typedef struct
    {
    word    zone,
            net,
            node,
            point;
    char    password[9];    /* NUL terminated */
    byte    status;
    }
    _PSW, *PSWPTR;

/* end of file "session.h" */
